Skip to main content
POST
Revoke Saved Payment

Headers

Abp-TenantId
string
required

Your unique Merchant ID assigned by CommercePay.

Authorization
string
required

Your API credentials used for authentication (typically a Bearer token).

cap-signature
string
required

A unique security hash used to verify the integrity of the request body. See Generate Signature for how to generate this.

Body

username
string
required

Customer's unique ID whose saved payment method should be revoked. Same value originally passed to customer.username when the payment method was saved.

Example:

"username"

channelId
integer<int32>
required

An identifier that represents a CommercePay payment channel. Refer to the id from the response of the Get Channel List.

timestamp
integer<int64>
required

Numeric timestamp in milliseconds representing request validation freshness, generated via new Date().getTime(). Example: 1621851652617.

Example:

1621851652617

tenantId
integer<int32> | null

Your unique Merchant ID assigned by CommercePay.

Response

200

Success